Summary: EnRus dictionary tools
Name: enrus
Version: 1.0pre
Release: 2
Copyright: GPL
Source: http://enrus.antex.ru/download/%name-%version.tar.bz2
Source1: %name.sh
Source2: %name.csh
Patch: %name-%version-bzip2.patch.bz2
Url: http://enrus.antex.ru/home/index.html
Vendor: Stas Angler <angler@earthling.net>
Packager: Dmitry V. Levin <ldv@fandra.org>
Group: Development/Tools
Requires: /bin/sh fileutils textutils file gzip bzip2 tcl tk
BuildArchitectures: noarch
Prefix: %_prefix
BuildRoot: %_tmppath/%name-%version-root

%description
EnRus Dictionary Tools: Tcl/Tk tools for working with textual
(either plain or compressed with gzip or bzip2) dictionary base.

%prep
%setup -q
%patch -p1

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%prefix/{bin,lib/%name,share/icons/mini}
%_install -m 755 bin/* $RPM_BUILD_ROOT%prefix/bin
%_install -m 644 icons/enrus_32x32.xpm $RPM_BUILD_ROOT%prefix/share/icons/
%_install icons/enrus_16x16.xpm $RPM_BUILD_ROOT%prefix/share/icons/mini/

install -d -m 755 $RPM_BUILD_ROOT/etc/profile.d
%_install %SOURCE1 %SOURCE2 $RPM_BUILD_ROOT/etc/profile.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(755,root,root) %prefix/bin/*
%prefix/share/icons/*.xpm
%prefix/share/icons/mini/*.xpm
%dir %prefix/lib/%name
/etc/profile.d/*
%doc README ENRUS-HOWTO* GPL

%changelog
* Wed Nov 03 1999 Dmitry V. Levin <ldv@fandra.org>
- patch to handle bzip2-compressed dictionaries

* Mon Oct 25 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
